module.exports = function (context, options) {
  var opts = options || {}

  const transform = opts.transform === undefined ? true : opts.transform
  const modules = opts.modules === undefined ? false : opts.modules

  var preset = {
    presets: [
      [
        "es2015",
        {
          modules: modules,
        },
      ],
      "stage-0",
      "react",
    ],
    plugins: [
      "transform-decorators-legacy",
      "transform-strict-mode",
    ],
    env: {
      production: {
        plugins: [
          "transform-es3-member-expression-literals",
          "transform-es3-property-literals",
          "transform-member-expression-literals",
          "transform-property-literals",
          "transform-remove-debugger",
          "transform-minify-booleans",
          "transform-simplify-comparison-operators",
          "transform-react-constant-elements",
          "array-includes",
        ],
      },
    },
  }

  if (transform) {
    preset.plugins.push("transform-runtime")
  }

  return preset
}
